%define upstream_name CDDB-File
%define upstream_version 1.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Parse a CDDB/freedb data file
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/CDDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This module provides an interface for extracting data from CDDB-format
data files, as used by freedb.

It does not read data from your CD, or submit information to freedb.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-9.mga9
+ Revision: 1802242
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-8.mga8
+ Revision: 1493470
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-7.mga7
+ Revision: 1265983
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.50.0-6.mga6
+ Revision: 1023419
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.50.0-5.mga6
+ Revision: 946197
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 744057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 683621
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 542346
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 497426
- imported package perl-CDDB-File

